# Convert Lead To Opportunity

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=convertLeadToOpportunity`

#### Request Body

| Name    | Type    | Description                        |
| ------- | ------- | ---------------------------------- |
| leadId  | integer | The unique identifier of lead      |
| venueId | integer | The unique venue id of opportunity |
| stageId | integer | The stage of opportunity           |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

### Returns

| Property | Description                                                 |
| -------- | ----------------------------------------------------------- |
| success  | Whether or not the lead was converted to opportunity or not |

### Throws

| Code                 | Description             |
| -------------------- | ----------------------- |
| Specific Code: 24227 | The request is empty    |
| Specific Code: 24228 | The lead does not exist |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/convert-lead-to-opportunity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
